Anonymous Login
2019-08-19 03:36 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000826v3.0 Release[All Projects] Generalpublic2013-08-28 11:25
Reportermiroslaw 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000826: Users can see tasks for which they don't have access
DescriptionI have made restrictions for users based on departments (user from one department can work only on tasks that are from that department).

They can't access to tasks for which they don't have rights (tasks are from other department).
But, if users change view in Task Filter to "All Tasks" he can see all tasks that exist in the Company. If they try to access them they can't because they are in some other departments.

Could it be possible that Task Filter shows only tasks for which users have rights (to view, edit...), and that they don't see tasks for which they don't have rights.

Thank you.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001984

pedroa (administrator)

You mean the ?m=tasks list or somewhere else?

Thanks,

Pedro A.

~0001987

miroslaw (reporter)

Yes, I mean on ?m=task.
When user go on ?m=task and select Task Filter "All Tasks" he see all tasks in the Company (although he can't open them).

Would it be possible that he see only tasks for which he have access?

~0002007

caseydk (administrator)

Pedro, can you dig into this one for 2.4 this week?

~0002823

caseydk (administrator)

Resolved in v3.0 development
+Notes

-Issue History
Date Modified Username Field Change
2011-06-08 07:47 miroslaw New Issue
2011-06-17 06:50 pedroa Note Added: 0001984
2011-06-17 06:50 pedroa Assigned To => pedroa
2011-06-17 06:50 pedroa Status new => feedback
2011-06-21 03:29 miroslaw Note Added: 0001987
2011-06-25 23:13 caseydk Project v2.3 Release (Closed) => Pending Requests
2011-07-03 23:39 caseydk Note Added: 0002007
2013-03-02 23:13 caseydk Status feedback => assigned
2013-03-02 23:13 caseydk Assigned To pedroa => caseydk
2013-03-02 23:14 caseydk Project Pending Requests => v3.0 Release
2013-03-03 21:14 caseydk Note Added: 0002823
2013-03-03 21:14 caseydk Status assigned => resolved
2013-03-03 21:14 caseydk Resolution open => fixed
2013-08-28 10:24 caseydk Severity feature => minor
2013-08-28 10:24 caseydk Product Version 2.3 =>
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:25 caseydk Status resolved => closed
+Issue History